Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.jacob.soup
Class CommRecv

    java.lang.Object
      org.apache.ode.jacob.soup.ExecutionQueueObject
          org.apache.ode.jacob.soup.Comm
              org.apache.ode.jacob.soup.CommRecv

    public class CommRecv

extends Comm

Persistent store representation of an object (i.e. channel read) waiting for a message (i.e. channel write / method application). This class maintains an opaque byte array which specifies the continuation (the exact nature of this data is determined by the main JACOB VPU), as well as information regarding which methods are supported by the object, and whether the read is of a replicated variety.

Constructor Summary
`protected` | `CommRecv()`
`` | `CommRecv(CommChannel chnl, ChannelListener continuation)`

Method Summary
`ChannelListener` | `getContinuation()` Get the continuation for this object (channel read).
`java.lang.String` | `toString()`

Methods inherited from class org.apache.ode.jacob.soup.Comm
`getChannel, getGroup, setChannel, setGroup`

Methods inherited from class org.apache.ode.jacob.soup.ExecutionQueueObject
`equals, getDescription, getId, setDescription, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommRecv

    protected CommRecv()

### CommRecv

    public CommRecv(CommChannel chnl,
                    ChannelListener continuation)

Method Detail

### getContinuation

    public ChannelListener getContinuation()

  Get the continuation for this object (channel read). The continuation is what happens after a message is matched to the object. It is up to the JACOB VPU to determine what is placed here, but it will generally consist of some serialized representation of an appropriate ChannelListener object (see `ChannelListener`.

  Returns:
    byte array representing the serialized form of the continuation

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Comm`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD